Need help installing Redmine 2.5 at opensuse

Added by Sandra Weddig over 4 years ago

Hi!

I try to install Redmine 2.5.2 via suse and get the followin error after installing gems. What did I do wrong?

/usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method': undefined method `leaf?' for module `CollectiveIdea::Acts::NestedSet::Model' (NameError)
from /usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/core_ext/module/aliasing.rb:31:in `alias_method_chain'
from /srv/redmine/config/initializers/10-patches.rb:239:in `<module:Model>'
from /srv/redmine/config/initializers/10-patches.rb:235:in `<module:NestedSet>'
from /srv/redmine/config/initializers/10-patches.rb:234:in `<module:Acts>'
from /srv/redmine/config/initializers/10-patches.rb:233:in `<module:CollectiveIdea>'
from /srv/redmine/config/initializers/10-patches.rb:232:in `<top (required)>'
from /usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/dependencies.rb:245:in `load'
from /usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/dependencies.rb:245:in `block in load'
from /usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/dependencies.rb:236:in `load_dependency'
from /usr/lib64/ruby/gems/2.0.0/gems/activesupport-3.2.19/lib/active_support/dependencies.rb:245:in `load'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/engine.rb:593:in `block (2 levels) in <class:Engine>'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/engine.rb:592:in `each'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/engine.rb:592:in `block in <class:Engine>'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/initializable.rb:30:in `instance_exec'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/initializable.rb:30:in `run'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/initializable.rb:55:in `block in run_initializers'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/initializable.rb:54:in `each'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/initializable.rb:54:in `run_initializers'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/application.rb:136:in `initialize!'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/railtie/configurable.rb:30:in `method_missing'
from /srv/redmine/config/environment.rb:14:in `<top (required)>'
from /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:106:in `require'
from /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:106:in `require'
from /srv/redmine/config.ru:3:in `block in <main>'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/builder.rb:51:in `instance_eval'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/builder.rb:51:in `initialize'
from /srv/redmine/config.ru:in `new'
from /srv/redmine/config.ru:in `<main>'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/builder.rb:40:in `eval'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/builder.rb:40:in `parse_file'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/server.rb:200:in `app'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/commands/server.rb:46:in `app'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/server.rb:304:in `wrapped_app'
from /usr/lib64/ruby/gems/2.0.0/gems/rack-1.4.5/lib/rack/server.rb:254:in `start'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/commands/server.rb:70:in `start'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/commands.rb:55:in `block in <top (required)>'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/commands.rb:50:in `tap'
from /usr/lib64/ruby/gems/2.0.0/gems/railties-3.2.19/lib/rails/commands.rb:50:in `<top (required)>'
from /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:110:in `require'
from /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:110:in `rescue in require'
from /usr/lib64/ruby/2.0.0/rubygems/core_ext/kernel_require.rb:35:in `require'
from /srv/redmine/script/rails:6:in `<main>'
=> Booting WEBrick
=> Rails 3.2.19 application starting in production on http://0.0.0.0:3000
=> Call with -d to detach
=> Ctrl-C to shutdown server
Exiting

Replies (1)

RE: Need help installing Redmine 2.5 at opensuse - Added by Alex Wilhelmy over 4 years ago

Sandra,

your message is from my point of view a little bit unspecific: it seems you get the error when trying to run redmine using webrick. Or do you get this error at a certain step of installation? What does bundle install yield?

cheers

Alex

(1-1/1)